February 14, 2012
Microsoft Security Bulletin: February 14
Advisory Overview

February 14, 2012 - Qualys® Vulnerability R&D Lab has released new vulnerability checks in QualysGuard® to protect organizations against 9 vulnerabilities present in Microsoft Windows that were announced today. Customers can immediately audit their networks for these and other new vulnerabilities by accessing their QualysGuard subscription.

Vulnerability Details

Microsoft has released 9 security patches to fix newly discovered flaws in Microsoft Windows. Qualys has released the following checks for these new vulnerabilities:


Microsoft SharePoint Elevation of Privilege Vulnerability (MS12-011)
SEVERITY: Serious Serious-3 3
QUALYS ID: 90777
VENDOR REFERENCE: MS12-011
CVE REFERENCE: CVE-2012-0017 | CVE-2012-0144 | CVE-2012-0145
CVSS SCORES: Base 5.8 | Temporal 4.3
THREAT: Microsoft SharePoint makes it easier for people to work together. Using SharePoint, people can set up Web sites to share information with others, manage documents from start to finish, and publish reports to help everyone make better decisions.

A cross-site scripting vulnerability exists in Microsoft SharePoint 2010, this vulnerability occurs when Microsoft SharePoint does not properly handle malicious JavaScript elements contained within a specially crafted URL, allowing the script to be displayed back to the user's browser. (CVE-2012-0017, CVE-2012-0144, CVE-2012-0145)

Affected Software:
Microsoft SharePoint Server 2010 and Microsoft SharePoint Server 2010 Service Pack 1
Microsoft SharePoint Foundation 2010 and Microsoft SharePoint Foundation 2010 Service Pack 1

This security update is rated Important.

IMPACT: Successful exploitation allows elevation of privilege or information disclosure.
SOLUTION: Patch:

Following are links for downloading patches to fix the vulnerabilities:

Microsoft SharePoint Server 2010 and Microsoft SharePoint Server 2010 Service Pack 1

Microsoft SharePoint Foundation 2010 and Microsoft SharePoint Foundation 2010 Service Pack 1

Refer to Microsoft Security Bulletin MS12-011 for further information.


Microsoft Windows Indeo Codec Remote Code Execution (MS12-014)
SEVERITY: Critical Critical-4 4
QUALYS ID: 119944
VENDOR REFERENCE: MS12-014
CVE REFERENCE: CVE-2010-3138
CVSS SCORES: Base 9.3 | Temporal 6.9
THREAT: The Indeo Codec is a codec that decompresses digital media files. Microsoft Windows Media Player and other applications that handle media rich content use the codec.

The Indeo Codec is vulnerable to remote code execution because it incorrectly restricts the path used for loading external libraries.

This security update is rated Important for Windows XP.

IMPACT: An attacker could execute arbitrary code on vulnerable installations of Microsoft Windows Media Player.
SOLUTION: Patch:

Following are links for downloading patches to fix the vulnerabilities:

Windows XP Service Pack 3

Refer to Microsoft Security Bulletin MS12-014 for further details.


Microsoft Ancillary Function Driver Elevation of Privilege (MS12-009)
SEVERITY: Critical Critical-4 4
QUALYS ID: 90776
VENDOR REFERENCE: MS12-009
CVE REFERENCE: CVE-2012-0148 | CVE-2012-0149
CVSS SCORES: Base 7.5 | Temporal 5.5
THREAT: The Ancillary Function Driver supports Windows sockets applications and is contained in the afd.sys file.

An elevation of privilege vulnerability exists where the Ancillary Function Driver (afd.sys) improperly validates input passed from user mode to the kernel.

Microsoft has released a security update that addresses the vulnerability by correcting the way AFD validates input before passing the input from user mode to the Windows kernel.

This security update is rated Important for Windows XP, Windows 2003, Vista, Windows Server 2008, Windows 7 and Windows 2008 R2.

IMPACT: If this vulnerability is successfully exploited, a local attacker can execute arbitrary code and take complete control of an affected system.
SOLUTION: Patch:
Following are links for downloading patches to fix the vulnerabilities:

Windows XP Professional x64 Edition Service Pack 2

Windows Server 2003 Service Pack 2

Windows Server 2003 x64 Edition Service Pack 2

Windows Server 2003 with SP2 for Itanium-based Systems

Windows Vista x64 Edition Service Pack 2

Windows Server 2008 for x64-based Systems Service Pack 2

Windows Server 2008 for Itanium-based Systems Service Pack 2

Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1

Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1

Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

Refer to Microsoft Security Bulletin MS12-009 for further details.


Microsoft Windows Kernel-Mode Drivers Remote Code Execution Vulnerability (MS12-008)
SEVERITY: Urgent Urgent-5 5
QUALYS ID: 90775
VENDOR REFERENCE: MS12-008
CVE REFERENCE: CVE-2011-5046 | CVE-2012-0154
CVSS SCORES: Base 10 | Temporal 7.4
THREAT: The Windows kernel is the core of the operating system. It provides system-level services such as device management and memory management, allocates processor time to processes, and manages error handling.

Windows kernel is prone to the following remote code execution vulnerabilities:
A remote code execution vulnerability exists in the Windows kernel due to improper validation of input passed from user mode through the kernel component of GDI. (CVE-2011-5046)

An elevation of privilege vulnerability exists due to the way the Windows kernel-mode driver manages specific keyboard layouts. (CVE-2012-0154)

Affected Software:
Windows XP Service Pack 3
Windows XP Professional x64 Edition Service Pack 2
Windows Server 2003 Service Pack 2
Windows Server 2003 x64 Edition Service Pack 2
Windows Vista Service Pack 2
Windows Vista x64 Edition Service Pack 2
Windows Server 2008 for 32-bit Systems Service Pack 2
Windows Server 2008 for x64-based Systems Service Pack 2
Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1
Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1
Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1

This security update is rated Critical.

IMPACT: An attacker who successfully exploited this vulnerability could run arbitrary code in kernel mode and take complete control of an affected system. An attacker could then install programs; view, change, or delete data; or create new accounts with full administrative rights.
SOLUTION: Patch:
Following are links for downloading patches to fix the vulnerabilities:

Windows XP Service Pack 3

Windows XP Professional x64 Edition Service Pack 2

Windows Server 2003 Service Pack 2

Windows Server 2003 x64 Edition Service Pack 2

Windows Server 2003 with SP2 for Itanium-based Systems

Windows Vista Service Pack 2

Windows Vista x64 Edition Service Pack 2

Windows Server 2008 for 32-bit Systems Service Pack 2

Windows Server 2008 for x64-based Systems Service Pack 2

Windows Server 2008 for Itanium-based Systems Service Pack 2

Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1

Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1

Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1

Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

Refer to Microsoft Security Bulletin MS12-008 for further information.


Microsoft Visio Viewer 2010 Remote Code Execution Vulnerability (MS12-015)
SEVERITY: Critical Critical-4 4
QUALYS ID: 110175
VENDOR REFERENCE: MS12-015
CVE REFERENCE: CVE-2012-0019 | CVE-2012-0020 | CVE-2012-0136 | CVE-2012-0137 | CVE-2012-0138
CVSS SCORES: Base 9.3 | Temporal 7.3
THREAT: Microsoft Visio is diagramming software for Microsoft Windows. It uses vector graphics to create diverse diagrams.

This security update resolves five privately reported vulnerabilities in Microsoft Office by correcting the way that Microsoft Visio Viewer validates data when parsing specially crafted Visio files.

This security update is rated Important for all supported editions of Microsoft Visio Viewer 2010. Affected Software:-
Microsoft Visio Viewer 2010 and Microsoft Visio Viewer 2010 Service Pack 1 (32-bit editions)
Microsoft Visio Viewer 2010 and Microsoft Visio Viewer 2010 Service Pack 1 (64-bit editions)

IMPACT: The vulnerabilities could allow remote code execution if a user opens a specially crafted Visio file. An attacker who successfully exploited these vulnerabilities could gain the same user rights as the logged-on user. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.
SOLUTION: Patch:
Following are links for downloading patches to fix the vulnerabilities:

Microsoft Visio Viewer 2010 and Microsoft Visio Viewer 2010 Service Pack 1 (32-bit editions)

Microsoft Visio Viewer 2010 and Microsoft Visio Viewer 2010 Service Pack 1 (64-bit editions)

Refer to Microsoft Security Bulletin MS12-015.


Microsoft .NET Framework and Silverlight Remote Code Execution Vulnerability (MS12-016)
SEVERITY: Critical Critical-4 4
QUALYS ID: 90774
VENDOR REFERENCE: MS12-016
CVE REFERENCE: CVE-2012-0014 | CVE-2012-0015
CVSS SCORES: Base 9.3 | Temporal 7.3
THREAT: Microsoft Silverlight is a cross-browser, cross-platform implementation of the Microsoft .NET Framework for building media experiences and rich interactive applications for the Web.

A remote code execution vulnerability exists in Microsoft .NET Framework and Silverlight that can allow a specially crafted Microsoft .NET Framework application to access memory in an unsafe manner. An attacker who successfully exploited this vulnerability could run arbitrary code in the security context of the logged-on user (CVE-2012-0014).

A remote code execution vulnerability exists in Microsoft .NET Framework because it improperly calculating a buffer length while processing specially crafted input. An attacker who successfully exploited this vulnerability could take complete control of an affected system (CVE-2012-0015).

This security update is rated Critical for Microsoft .NET Framework 2.0 Service Pack 2, Microsoft .NET Framework 3.5.1, and Microsoft .NET Framework 4 on all supported editions of Microsoft Windows and for Microsoft Silverlight 4.

IMPACT: Successfully exploiting these vulnerabilities might allow a remote attacker to execute arbitrary code.
SOLUTION: Patch:
Following are links for downloading patches to fix the vulnerabilities:

Windows XP Service Pack 3 (Microsoft .NET Framework 2.0 Service Pack 2)

Windows XP Service Pack 3 (Microsoft .NET Framework 4)

Windows XP Professional x64 Edition Service Pack 2 (Microsoft .NET Framework 2.0 Service Pack 2)

Windows XP Professional x64 Edition Service Pack 2 (Microsoft .NET Framework 4)

Windows Server 2003 Service Pack 2 (Microsoft .NET Framework 2.0 Service Pack 2)

Windows Server 2003 Service Pack 2 (Microsoft .NET Framework 4)

Windows Server 2003 x64 Edition Service Pack 2 (Microsoft .NET Framework 2.0 Service Pack 2)

Windows Server 2003 x64 Edition Service Pack 2 (Microsoft .NET Framework 4)

Windows Server 2003 with SP2 for Itanium-based Systems (Microsoft .NET Framework 2.0 Service Pack 2)

Windows Server 2003 with SP2 for Itanium-based Systems (Microsoft .NET Framework 4)

Windows Vista Service Pack 2 (Microsoft .NET Framework 2.0 Service Pack 2)

Windows Vista Service Pack 2 (Microsoft .NET Framework 4)

Windows Vista x64 Edition Service Pack 2 (Microsoft .NET Framework 2.0 Service Pack 2)

Windows Vista x64 Edition Service Pack 2 (Microsoft .NET Framework 4)

Windows Server 2008 for 32-bit Systems Service Pack 2 (Microsoft .NET Framework 2.0 Service Pack 2)

Windows Server 2008 for 32-bit Systems Service Pack 2 (Microsoft .NET Framework 4)

Windows Server 2008 for x64-based Systems Service Pack 2 (Microsoft .NET Framework 2.0 Service Pack 2)

Microsoft Silverlight 4

For a complete list of patch download links, please refer to Microsoft Security Bulletin MS12-016.


Microsoft Windows C Run-Time Library Remote Code Execution Vulnerability (MS12-013)
SEVERITY: Urgent Urgent-5 5
QUALYS ID: 90773
VENDOR REFERENCE: MS12-013
CVE REFERENCE: CVE-2012-0150
CVSS SCORES: Base 10 | Temporal 7.4
THREAT: Msvcrt.dll is a multithreaded, C run-time dynamic link library that is used by system-level components.

The vulnerability occurs when msvcrt.dll miscalculates the size of a buffer, allowing data to be copied into memory that has not been properly allocated.

Microsoft has released a security update that addresses the vulnerability by modifying the way that the msvcrt dynamic link library (DLL) calculates the size of data structures in memory.

This security update is rated Critical for all supported editions of Windows Vista, Windows Server 2008, Windows 7, and Windows Server 2008 R2.

IMPACT: An unauthenticated attacker who successfully exploited this vulnerability could take complete control of the affected system.
SOLUTION: Patch:
Following are links for downloading patches to fix the vulnerabilities:

Windows Vista Service Pack 2

Windows Vista x64 Edition Service Pack 2

Windows Server 2008 for 32-bit Systems Service Pack 2

Windows Server 2008 for x64-based Systems Service Pack 2

Windows Server 2008 for Itanium-based Systems Service Pack 2

Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1

Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1

Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1

Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

Refer to Microsoft Security Bulletin MS12-013 for further details.


Microsoft Cumulative Security Update for Internet Explorer (MS12-010)
SEVERITY: Critical Critical-4 4
QUALYS ID: 100115
VENDOR REFERENCE: MS12-010
CVE REFERENCE: CVE-2012-0010 | CVE-2012-0011 | CVE-2012-0012 | CVE-2012-0155
CVSS SCORES: Base 9.3 | Temporal 7.3
THREAT: Microsoft Internet Explorer is a Web browser for Microsoft Windows.

The security update resolves four privately reported vulnerabilities in Internet Explorer by modifying the way Internet Explorer handles content during copy and paste processes, handles objects in memory, and creates and initializes strings.
An information disclosure vulnerability exists in Internet Explorer that could allow an attacker to gain access to information in another domain or Internet Explorer zone. (CVE-2012-0010)
A remote code execution vulnerability exists in the way Internet Explorer accesses an object that has been deleted. The vulnerability may corrupt memory in such a way that an attacker could execute arbitrary code in the context of the logged-on user. (CVE-2012-0011, CVE-2012-0155)
Another information disclosure vulnerability exists in Internet Explore that can be exploited by constructing a specially crafted web page disguised as legitimate content. (CVE-2012-0012)

This security update is rated Critical for Internet Explorer 7, Internet Explorer 8, and Internet Explorer 9 on Windows clients and Moderate for Internet Explorer 7, Internet Explorer 8, and Internet Explorer 9 on Windows servers. This security update is also rated Moderate for Internet Explorer 6 on all supported editions of Windows XP.

Affected Software:
Windows XP Service Pack 3 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8)
Windows XP Professional x64 Edition Service Pack 2 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8)
Windows Server 2003 Service Pack 2 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8)
Windows Server 2003 x64 Edition Service Pack 2 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8)
Windows Server 2003 with SP2 for Itanium-based Systems (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8)
Windows Vista Service Pack 2 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8,Internet Explorer 9)
Windows Vista x64 Edition Service Pack 2(Internet Explorer 6,Internet Explorer 7,Internet Explorer 8,Internet Explorer 9)
Windows Server 2008 for 32-bit Systems Service Pack 2 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8,Internet Explorer 9)
Windows Server 2008 for x64-based Systems Service Pack 2 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8,Internet Explorer 9)
Windows Server 2008 for Itanium-based Systems Service Pack 2 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8,Internet Explorer 9)
Windows 7 for 32-bit Systems and Windows 7 for 32-bit Systems Service Pack 1 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8,Internet Explorer 9)
Windows 7 for x64-based Systems and Windows 7 for x64-based Systems Service Pack 1 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8,Internet Explorer 9)
Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8,Internet Explorer 9)
Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1 (Internet Explorer 6,Internet Explorer 7,Internet Explorer 8,Internet Explorer 9)

IMPACT: The most severe vulnerabilities could allow remote code execution if a user views a specially crafted web page using Internet Explorer. An attacker who successfully exploited any of these vulnerabilities could gain the same user rights as the logged-on user. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.
SOLUTION: Patch:
Following are links for downloading patches to fix the vulnerabilities:

Windows XP Service Pack 3 (Internet Explorer 6)

Windows XP Professional x64 Edition Service Pack 2 (Internet Explorer 6)

Windows Server 2003 Service Pack 2 (Internet Explorer 6)

Windows Server 2003 x64 Edition Service Pack 2 (Internet Explorer 6)

Windows Server 2003 with SP2 for Itanium-based Systems (Internet Explorer 6)

Windows XP Service Pack 3 (Internet Explorer 7)

Windows XP Professional x64 Edition Service Pack 2 (Internet Explorer 7)

Windows Server 2003 Service Pack 2 (Internet Explorer 7)

Windows Server 2003 x64 Edition Service Pack 2 (Internet Explorer 7)

Windows Server 2003 with SP2 for Itanium-based Systems (Internet Explorer 7)

Windows Vista Service Pack 2 (Internet Explorer 7)

Windows Vista x64 Edition Service Pack 2 (Internet Explorer 7)

Windows Server 2008 for 32-bit Systems Service Pack 2 (Internet Explorer 7)

Windows Server 2008 for x64-based Systems Service Pack 2 (Internet Explorer 7)

Windows Server 2008 for Itanium-based Systems Service Pack 2 (Internet Explorer 7)

Windows XP Service Pack 3 (Internet Explorer 8)

Windows XP Professional x64 Edition Service Pack 2 (Internet Explorer 8)

Windows Server 2003 Service Pack 2 (Internet Explorer 8)

Windows Server 2003 x64 Edition Service Pack 2 (Internet Explorer 8)

For a complete list of patch download links, please refer to Microsoft Security Bulletin MS12-010.


Microsoft Windows Color Control Panel Remote Code Execution Vulnerability (MS12-012)
SEVERITY: Critical Critical-4 4
QUALYS ID: 90772
VENDOR REFERENCE: MS12-012
CVE REFERENCE: CVE-2010-5082
CVSS SCORES: Base 6.9 | Temporal 5.1
THREAT: Microsoft Windows Color Control Panel is prone to a vulnerability that could allow remote code execution if a user opens a legitimate file, such as an .icm or .icc file, that is located in the same directory as a specially crafted dynamic link library file.

Microsoft has released a security update that addresses the vulnerability by correcting the manner in which the Color Control Panel loads external libraries.

This security update is rated Important for all supported editions of Windows Server 2008 and Windows Server 2008 R2.

IMPACT: Exploitation could result in remote code execution.
SOLUTION: Patch:
Following are links for downloading patches to fix the vulnerabilities:

Windows Server 2008 for 32-bit Systems Service Pack 2

Windows Server 2008 for x64-based Systems Service Pack 2

Windows Server 2008 for Itanium-based Systems Service Pack 2

Windows Server 2008 R2 for x64-based Systems and Windows Server 2008 R2 for x64-based Systems Service Pack 1

Windows Server 2008 R2 for Itanium-based Systems and Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

Refer to Microsoft Security Bulletin MS12-012 for further details.

Workaround:
1) Install Desktop Experience on Windows server 2008 and Windows Server 2008 R2 since systems with the Desktop Experience feature installed are not affected by this vulnerability.

2) Disable loading of libraries from WebDAV and remote network shares

3) Disabling the WebClient service helps protect affected systems from attempts to exploit this vulnerability by blocking the most likely remote attack vector through the Web Distributed Authoring and Versioning (WebDAV) client service.

Impact of workaround#3: When the WebClient service is disabled, Web Distributed Authoring and Versioning (WebDAV) requests are not transmitted. In addition, any services that explicitly depend on the Web Client service will not start, and an error message will be logged in the System log.

4) Block TCP ports 139 and 445 at the firewall

Impact of workaround #4: Several Windows services use the affected ports. Blocking connectivity to the ports may cause various applications or services to not function.

This new vulnerability check is included in Qualys vulnerability signatures 2.2.50-3. Each QualysGuard account is automatically updated with the latest vulnerability signatures as they become available. To view the vulnerability signature version in your account, from the QualysGuard HOME menu, select the Account Info tab.

SELECTIVE SCAN INSTRUCTIONS USING QUALYSGUARD:

To perform a selective vulnerability scan, configure a scan profile to use the following options:

  1. Ensure access to TCP ports 135 and 139 are available.
  2. Enable Windows Authentication (specify Authentication Records).
  3. Enable the following Qualys IDs:
    • 90777
    • 119944
    • 90776
    • 90775
    • 110175
    • 90774
    • 90773
    • 100115
    • 90772
  4. If you would like the scan to return the Windows Hostname, also include QID 82044 and ensure access to UDP port 137 is available.
  5. If you would like to be notified if QualysGuard is unable to logon to a host (if Authentication fails), also include QID 105015.

In addition, prior to running a scan for these new vulnerabilities, you can estimate your exposure to these new threats by running the Risk Matrix Report, available from the QualysGuard HOME page.


Technical Support
For more information, customers may contact Qualys Technical Support directly at support@qualys.com or by telephone toll free at:
US: 1 866.801.6161 | EMEA: 33 1 44.17.00.41 | UK: +44 1753 872102
About QualysGuard
QualysGuard is an on-demand security audit service delivered over the web that enables organizations to effectively manage their vulnerabilities and maintain control over their network security with centralized reports, verified remedies, and full remediation workflow capabilities with trouble tickets. QualysGuard provides comprehensive reports on vulnerabilities including severity levels, time to fix estimates and impact on business, plus trend analysis on security issues. By continuously and proactively monitoring all network access points, QualysGuard dramatically reduces security managers' time researching, scanning and fixing network exposures and enables companies to eliminate network vulnerabilities before they can be exploited.

Access for QualysGuard customers: https://qualysguard.qualys.com

Free trial of QualysGuard service: http://www.qualys.com/forms/trials/qualysguard_trial/